/*
 * TVCAP.H
 *
 * NTSC: 640x480 @ 30fps
 * PAL:  768x576 @ 25fps
 *
 * (c)Copyright 2002, Matthew Dillon, see COPYRIGHT file.
 * $Backplane: dtv/tvcap.h,v 1.9 2002/02/11 03:01:23 dillon Exp $
 */

typedef u_long	bktr_cmd_t;

#define NFRAME		16	/* frame delay for sound buffering */
#define MAXPIXSIZE	4	/* maximum pixel size in bytes */

typedef struct TVCap {
    int		tv_FrameNo;
    int		tv_CapFd;
    int		tv_TuneFd;
    int		tv_XSize;
    int		tv_YSize;
    int		tv_Shift;	/* frame reduction */
    int		tv_PixSize;	/* pixel size in bytes */
    int		tv_Source;
    unsigned char *tv_CapBuf;
    unsigned char *tv_CmpBuf;
    unsigned char *tv_CompBufAry[NFRAME];
    int		tv_CompCountAry[NFRAME];
    int		tv_CapBufSize;
    int		tv_CompBufSize;
    int		tv_DevOutputFormat;
    int		tv_FPS;
    bktr_cmd_t	tv_ChanSet;
    bktr_cmd_t	tv_AudioIn;	/* METEOR_INPUT_xxx	*/
    bktr_cmd_t	tv_TunerIn;	/* AUDIO_xxx		*/
    bktr_cmd_t	tv_VideoIn;
    bktr_cmd_t	tv_VideoFmt;	/* BT848_IFORM_xxx	*/
    bktr_cmd_t	tv_Channel;
    struct timeval tv_Time;
} TVCap;

typedef struct CHSet {
    const char	*cs_Name;
    int		cs_ChanSet;
    int		cs_IForm;
    int		cs_XSize;
    int		cs_YSize;
    int		cs_FrameRate;
} CHSet;

#define SOURCE_CAPBUF	1
#define SOURCE_CMPBUF	2
